:root {
    --ion-color-primary: #3F51B5;
    --ion-color-primary-rgb: 6,76,147;
    --ion-color-primary-contrast: #ffffff;
    --ion-color-primary-contrast-rgb: 255,255,255;
    --ion-color-primary-shade: #054381;
    --ion-color-primary-tint: #1f5e9e;
  
    --ion-color-secondary: #3dc2ff;
    --ion-color-secondary-rgb: 61,194,255;
    --ion-color-secondary-contrast: #ffffff;
    --ion-color-secondary-contrast-rgb: 255,255,255;
    --ion-color-secondary-shade: #36abe0;
    --ion-color-secondary-tint: #50c8ff;
  
    --ion-color-tertiary: #5260ff;
    --ion-color-tertiary-rgb: 82,96,255;
    --ion-color-tertiary-contrast: #ffffff;
    --ion-color-tertiary-contrast-rgb: 255,255,255;
    --ion-color-tertiary-shade: #4854e0;
    --ion-color-tertiary-tint: #6370ff;
  
    --ion-color-success: #28a745;
    --ion-color-success-rgb: 40,167,69;
    --ion-color-success-contrast: #ffffff;
    --ion-color-success-contrast-rgb: 255,255,255;
    --ion-color-success-shade: #23933d;
    --ion-color-success-tint: #3eb058;
  
    --ion-color-warning: #ffc107;
    --ion-color-warning-rgb: 255,193,7;
    --ion-color-warning-contrast: #000000;
    --ion-color-warning-contrast-rgb: 0,0,0;
    --ion-color-warning-shade: #e0aa06;
    --ion-color-warning-tint: #ffc720;
  
    --ion-color-danger: #ef5753;
    --ion-color-danger-rgb: 220,53,69;
    --ion-color-danger-contrast: #ffffff;
    --ion-color-danger-contrast-rgb: 255,255,255;
    --ion-color-danger-shade: #c22f3d;
    --ion-color-danger-tint: #e04958;
  
    --ion-color-dark: #222428;
    --ion-color-dark-rgb: 34,36,40;
    --ion-color-dark-contrast: #ffffff;
    --ion-color-dark-contrast-rgb: 255,255,255;
    --ion-color-dark-shade: #1e2023;
    --ion-color-dark-tint: #383a3e;
  
    --ion-color-medium: #92949c;
    --ion-color-medium-rgb: 146,148,156;
    --ion-color-medium-contrast: #ffffff;
    --ion-color-medium-contrast-rgb: 255,255,255;
    --ion-color-medium-shade: #808289;
    --ion-color-medium-tint: #9d9fa6;
  
    --ion-color-light: #f4f5f8;
    --ion-color-light-rgb: 244,245,248;
    --ion-color-light-contrast: #000000;
    --ion-color-light-contrast-rgb: 0,0,0;
    --ion-color-light-shade: #d7d8da;
    --ion-color-light-tint: #f5f6f9;
  
    --color-badge: #dc3545;
  
    --text-color: #222;
    --text-price: #ef5753;
    --input-background: #FFF;
    --button-action: #666;
  }

 /*
 * Dark Colors
 * -------------------------------------------
 */

 body.dark {
    --ion-color-primary: #428cff;
    --ion-color-primary-rgb: 66,140,255;
    --ion-color-primary-contrast: #ffffff;
    --ion-color-primary-contrast-rgb: 255,255,255;
    --ion-color-primary-shade: #3a7be0;
    --ion-color-primary-tint: #5598ff;
  
    --ion-color-secondary: #50c8ff;
    --ion-color-secondary-rgb: 80,200,255;
    --ion-color-secondary-contrast: #ffffff;
    --ion-color-secondary-contrast-rgb: 255,255,255;
    --ion-color-secondary-shade: #46b0e0;
    --ion-color-secondary-tint: #62ceff;
  
    --ion-color-tertiary: #6a64ff;
    --ion-color-tertiary-rgb: 106,100,255;
    --ion-color-tertiary-contrast: #ffffff;
    --ion-color-tertiary-contrast-rgb: 255,255,255;
    --ion-color-tertiary-shade: #5d58e0;
    --ion-color-tertiary-tint: #7974ff;
  
    --ion-color-success: #2fdf75;
    --ion-color-success-rgb: 47,223,117;
    --ion-color-success-contrast: #000000;
    --ion-color-success-contrast-rgb: 0,0,0;
    --ion-color-success-shade: #29c467;
    --ion-color-success-tint: #44e283;
  
    --ion-color-warning: #ffd534;
    --ion-color-warning-rgb: 255,213,52;
    --ion-color-warning-contrast: #000000;
    --ion-color-warning-contrast-rgb: 0,0,0;
    --ion-color-warning-shade: #e0bb2e;
    --ion-color-warning-tint: #ffd948;
  
    --ion-color-danger: #ff4961;
    --ion-color-danger-rgb: 255,73,97;
    --ion-color-danger-contrast: #ffffff;
    --ion-color-danger-contrast-rgb: 255,255,255;
    --ion-color-danger-shade: #e04055;
    --ion-color-danger-tint: #ff5b71;
  
    --ion-color-dark: #f4f5f8;
    --ion-color-dark-rgb: 244,245,248;
    --ion-color-dark-contrast: #000000;
    --ion-color-dark-contrast-rgb: 0,0,0;
    --ion-color-dark-shade: #d7d8da;
    --ion-color-dark-tint: #f5f6f9;
  
    --ion-color-medium: #989aa2;
    --ion-color-medium-rgb: 152,154,162;
    --ion-color-medium-contrast: #000000;
    --ion-color-medium-contrast-rgb: 0,0,0;
    --ion-color-medium-shade: #86888f;
    --ion-color-medium-tint: #a2a4ab;
  
    --ion-color-light: #222428;
    --ion-color-light-rgb: 34,36,40;
    --ion-color-light-contrast: #ffffff;
    --ion-color-light-contrast-rgb: 255,255,255;
    --ion-color-light-shade: #1e2023;
    --ion-color-light-tint: #383a3e;

    --button-action: #f2f2f2;

  }
  
  /*
   * iOS Dark Theme
   * -------------------------------------------
   */
  
  .ios body.dark {
    --ion-background-color: #000000;
    --ion-background-color-rgb: 0,0,0;
  
    --ion-text-color: #ffffff;
    --ion-text-color-rgb: 255,255,255;
  
    --ion-color-step-50: #0d0d0d;
    --ion-color-step-100: #1a1a1a;
    --ion-color-step-150: #262626;
    --ion-color-step-200: #333333;
    --ion-color-step-250: #404040;
    --ion-color-step-300: #4d4d4d;
    --ion-color-step-350: #595959;
    --ion-color-step-400: #666666;
    --ion-color-step-450: #737373;
    --ion-color-step-500: #808080;
    --ion-color-step-550: #8c8c8c;
    --ion-color-step-600: #999999;
    --ion-color-step-650: #a6a6a6;
    --ion-color-step-700: #b3b3b3;
    --ion-color-step-750: #bfbfbf;
    --ion-color-step-800: #cccccc;
    --ion-color-step-850: #d9d9d9;
    --ion-color-step-900: #e6e6e6;
    --ion-color-step-950: #f2f2f2;
  
    --ion-toolbar-background: #0d0d0d;
  
    --ion-item-background: #000000;
  
    --ion-card-background: #1c1c1d;

    --button-action: #f2f2f2;
  }
  
  
  /*
   * Material Design Dark Theme
   * -------------------------------------------
   */
  
  .md body.dark {
    --ion-background-color: #121212;
    --ion-background-color-rgb: 18,18,18;
  
    --ion-text-color: #ffffff;
    --ion-text-color-rgb: 255,255,255;
  
    --ion-border-color: #222222;
  
    --ion-color-step-50: #1e1e1e;
    --ion-color-step-100: #2a2a2a;
    --ion-color-step-150: #363636;
    --ion-color-step-200: #414141;
    --ion-color-step-250: #4d4d4d;
    --ion-color-step-300: #595959;
    --ion-color-step-350: #656565;
    --ion-color-step-400: #717171;
    --ion-color-step-450: #7d7d7d;
    --ion-color-step-500: #898989;
    --ion-color-step-550: #949494;
    --ion-color-step-600: #a0a0a0;
    --ion-color-step-650: #acacac;
    --ion-color-step-700: #b8b8b8;
    --ion-color-step-750: #c4c4c4;
    --ion-color-step-800: #d0d0d0;
    --ion-color-step-850: #dbdbdb;
    --ion-color-step-900: #e7e7e7;
    --ion-color-step-950: #f3f3f3;
  
    --ion-item-background: #1e1e1e;
  
    --ion-toolbar-background: #1f1f1f;
  
    --ion-tab-bar-background: #1f1f1f;
  
    --ion-card-background: #1e1e1e;

    --ion-color-primary: #252525;
    --ion-color-light: #121212;
    --ion-color-dark: #f4f4f4;
    /* --ion-color-danger: #ffffff;  */
    --text-color: #FFF;
    --text-price: #f1f1f1;
    --input-background: #252525;
    --button-action: #f2f2f2; 
  }


/* .ion-color-danger{--ion-color-base:var(--ion-color-danger, #900000)!important;} */

.tab-selected {
    color: var(--ion-color-danger);
}

ion-item {
    --inner-border-width: 0px;
}

.textarea-wrapper sc-ion-textarea-md {
    width: 100%;
}

/* .tab-selected {
    color: var(--ion-color-warning, #900000)!important;
} */

.localizacao {
    font-size: 20px !important;
    color: #555 !important;
    font-weight: bold;
}

.ion-padding {
    --padding-start: var(--ion-padding, 5px);
    --padding-end: var(--ion-padding, 5px);
}

.card-custom-lunasa {
    padding-inline-start: 0px;
    padding-inline-end: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.p-options {
    font-size: 18px !important;
    padding: 0px 0px 5px 10px;
    /* color: #424242 !important; */
    color: var(--ion-color-danger) !important;
    font-weight: 500;
    margin-left: -10px !important;
}

.div-options {
    display: flex;
    justify-content: space-between;
    padding:10px;
}

.qt-div {
    display: flex;
    align-items: center;
    margin-top: 20px;
    text-align: center;
    margin-left: 17px;
    margin-right: 17px;
    margin-bottom: 20px;
}

.span-cart {
    position: absolute;
    top: 3px;
    left: 38px;
    border-radius: 20px;
    width: 17px;
    height: 17px;
    padding: 3px;
    font-size: 10px;
}

.form-control {
    background: var(--input-background);
    color: var(--text-color);
    width: 100%;
    height: 45px;
    border-radius: 5px;
    border: 1px solid #848181;
    padding-left: 15px;
    margin-top: 5px;
}

.form-control:focus {
    width: 100%;
    height: 45px;
    border-radius: 5px;
    border: 1px solid #848181;
    padding-left: 15px;
    margin-top: 5px;
    outline: 0;
}

.brand-logo {
    width: 40px;
    border-radius: 50%;
    margin-left: 15px;
    height: 40px;
}

.alert-title.sc-ion-alert-md {
    color: var(--ion-text-color,#444);
    font-size: 18px;
}

.sc-ion-alert-md-h {
    --min-width: 300px;
}

.alert-input.sc-ion-alert-md {
    padding-bottom: 20px;
} 

.alert-button-group.sc-ion-alert-md {
    display: flex;
    justify-content: space-between;
}

[aria-checked=true].sc-ion-alert-md .alert-radio-icon.sc-ion-alert-md {
    border-color: #611910;
}

.alert-button.sc-ion-alert-md {

    color: #611910;
}

.alert-radio-inner.sc-ion-alert-md {
  
    background-color: #611910;
}

.select-cart {
    height: 40px;
    width: 100%;
    background: var(--input-background);
    color: var(--text-color);
    outline: 0;
    padding-left: 10px;
    border-radius: 5px;
    border: 1px solid #777;
}

.action-sheet-title.sc-ion-action-sheet-md {
    padding-left: 16px;
    padding-right: 16px;
    padding-top: 17px;
    padding-bottom: 17px;
    height: 40px;
    /* color: rgba(216, 216, 216, 0.75),.2)); */
    font-size: 16px;
    text-align: start;
    color: #611910;
    font-weight: bold;
    letter-spacing: 2px;
}

/* The container */
.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 15px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  
  /* Hide the browser's default checkbox */
  .container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  /* Create a custom checkbox */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #eee;
    border-radius: 3px;
  }
  
  /* On mouse-over, add a grey background color */
  .container:hover input ~ .checkmark {
    background-color: #ccc;
    border-radius: 3px;
  }
  
  /* When the checkbox is checked, add a blue background */
  .container input:checked ~ .checkmark {
    background-color: var(--ion-color-danger);
    border-radius: 3px;
  }
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the checkmark when checked */
  .container input:checked ~ .checkmark:after {
    display: block;
  }
  
  /* Style the checkmark/indicator */
  .container .checkmark:after {
    left: 7px;
    top: 1px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }

  /* .form-control {
    width: 100%;
    border-radius: 5px;
    outline: 0;
    height: 40px;
    padding: 0 10px;
    border: 1px solid #555;
    color: #222;
} */

.retirar-cart {
    border: 1px solid #9999;
    border-radius: 5px;
    margin-left: 15px;
    margin-right: 15px;
    margin-top: 5px;
    margin-bottom: 5px;
    display: flex;
    justify-content: center;
}

  .indicator-qtt {
    width: 40px;
    text-align: center;
    border: none;
    font-size: 20px;
    font-weight: bold;
    background-color: var(--input-background);
}

.pizzaInfo--price {
    display:flex;
    align-items:center;
    justify-content: space-between;
    margin-left: 15px;
    margin-right: 15px;
    margin-bottom: 10px;
}
.pizzaInfo--actualPrice {
    font-size:23px;
    font-weight:bold;
    margin-right:30px;
    color: var(--text-price);
}
.pizzaInfo--qtarea {
    display:inline-flex;
    background-color:#9e9e9e2e;
    border-radius:10px;
    height:50px;
    margin-top: 10px;
}

.pizzaInfo--qtarea-opt {
    display:inline-flex;
    background-color:#9e9e9e2e;
    border-radius:10px;
    height:25px;
}

.pizzaInfo--qtarea--cart {
    display:inline-flex;
    background-color:#9e9e9e2e;
    border-radius:10px;
    height:40px; 
}

.pizzaInfo--qtarea button {
    border:0;
    background-color:transparent;
    font-size:20px;
    outline:0;
    cursor:pointer;
    padding:0px 10px;
    color: var(--text-color);
}

.pizzaInfo--qtarea-opt button {
    border:0;
    background-color:transparent;
    font-size:20px;
    outline:0;
    cursor:pointer;
    padding:0px 10px;
    color: var(--text-color);
}

.pizzaInfo--qt {
    line-height: 30px;
    font-size: 20px;
    font-weight: bold;
    padding: 10px 5px;
    color:#333;
    background-color: #9e9e9e00;
}
.pizzaInfo--addButton {
    margin-top:30px;
    padding:20px 30px;
    border-radius:10px;
    background-color:#bb0000;
    color:#FFF;
    display:inline-block;
    cursor:pointer;
    margin-right:30px;
}
.pizzaInfo--addButton:hover {
    background-color:#32a345;
}

.indicator-qtt--cart {
    width: 25px;
    text-align: center;
    border: none;
    font-size: 15px;
    font-weight: bold;
    background-color: var(--input-background);
}

.indicator-qtt-opt {
    width: 25px;
    text-align: center;
    border: none;
    font-size: 15px;
    font-weight: bold;
    background-color: var(--input-background);
}

.pizzaInfo--qtarea--cart button {
    padding: 7px 15px;
    border-radius: 5px;
    border:0;
    background-color:transparent;
    font-size:20px;
    outline:0;
    cursor:pointer;
    color: var(--text-color);
}

.event-user-inpi {
    pointer-events: none;
    opacity: 0.5;
}

.bt-danger-log {
    color: var(--ion-color-danger);
}

.bt-success-log {
    color: var(--ion-color-success);
}

.action-sheet-title.sc-ion-action-sheet-ios {
    font-size: 20px;
    color: var(--ion-color-danger);
    letter-spacing: 2px;
}

.action-sheet-button.sc-ion-action-sheet-ios {
    color: var(--button-action);
}

.action-sheet-button.sc-ion-action-sheet-ios .action-sheet-icon.sc-ion-action-sheet-ios {
    font-size: 20px;
}

.form-observacao {
    background-color: var(--input-background);
    color: var(--text-color);
    border: 1px solid #656565;
    border-radius: 5px;
    display:flex;
    margin-top:10px;
    outline:0;
    padding: 5px 10px;
    width:100%;
}

@media (max-width:1000px) {
    #categorias-menu {
        grid-template-columns: repeat(2, 1fr);
    }

    #products-categorie {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width:425px) {
    #categorias-menu {
        display: block !important;
    }

    .tool-modal {
        margin-top: -15px;
    }

    #products-categorie {
        display: block !important;
    }
}

/* @media (max-width:768px) {
    #categorias-menu {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    #products-categorie {
        grid-template-columns: repeat(4, 1fr);
    }
} */

@media(max-width:1440px) {
    #categorias-menu {
        /* display: grid; */
        grid-template-columns: repeat(3, 1fr);
    }

    #products-categorie {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media(width:2560px) {
    #categorias-menu {
        /* display: grid; */
        grid-template-columns: repeat(4, 1fr);
    }

    #products-categorie {
        grid-template-columns: repeat(4, 1fr);
    }
}
